(* ------------------------------------------------------ *)
(*                   MAKEOBJ.PAS                          *)
(*      Generiert die Objekt-Datei SHOW_LED.OBJ unter     *)
(*     Turbo Pascal ohne den Einsatz eines Assemblers     *)
(*           (c) 1990 Gerald Arend & TOOLBOX              *)
(* ------------------------------------------------------ *)
PROGRAM MakeObj;

VAR
  n        : BYTE;
  Datei    : FILE OF BYTE;
  CheckSum : INTEGER;

CONST
  Daten: ARRAY[1..160] OF BYTE =
         (128,   7,   0,   5, 116,  46,  65,  83,
           77, 241, 150,  31,   0,   0,   6,  68,
           71,  82,  79,  85,  80,   4,  68,  65,
           84,  65,   4,  67,  79,  68,  69,   5,
           95,  68,  65,  84,  65,   5,  95,  84,
           69,  88,  84,  16, 152,   7,   0,  72,
            0,   0,   6,   4,   1,  14, 152,   7,
            0,  72,   0,   0,   5,   3,   1,  16,
          152,   7,   0,  40,  41,   0,   4,   1,
            1,  10, 154,   4,   0,   2, 255,   2,
           95, 144,  16,   0,   0,   3,   9,  95,
          115, 104, 111, 119,  95, 108, 101, 100,
            0,   0,   0, 160, 136,   4,   0,   0,
          162,   1, 209, 160,  45,   0,   3,   0,
            0, 139, 220,  54, 139,  71,   4, 138,
          216, 250,  51, 201, 228, 100, 168,   2,
          224, 250, 176, 237, 230,  96, 228, 100,
          168,   1, 225, 250, 138, 195, 230,  96,
          228, 100, 168,   1, 225, 250, 251, 194,
            2,   0, 204, 138,   2,   0,   0, 116);

BEGIN
  Assign(Datei, 'SHOW_LED.OBJ');
  Rewrite(Datei);
  Checksum := 0;
  FOR n := 1 TO 160 DO BEGIN
    Inc(Checksum, Daten[n]);
    Write(Datei, Daten[n]);
  END;
  WriteLn('Checksumme : ', Checksum);
  WriteLn('korrekt    : 12800');
  Close(Datei);
END.
(* ------------------------------------------------------ *)
(*                      MAKEOBJ.PAS                       *)

